Bug 474681 - [LTC 5.4 FEAT] libvirt based CIM providers for virtualization [201163]
[LTC 5.4 FEAT] libvirt based CIM providers for virtualization [201163]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt-cim (Show other bugs)
5.4
x86_64 Linux
high Severity high
: alpha
: 5.4
Assigned To: Daniel Veillard
Virtualization Bugs
: FutureFeature, OtherQA, Rebase
Depends On:
Blocks: 445204 483784
  Show dependency treegraph
 
Reported: 2008-12-04 15:40 EST by IBM Bug Proxy
Modified: 2009-12-14 16:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
The introduction of KVM virtualization in Red Hat Enterprise Linux 5.4 requires an updated version of libvirt-cim to support the new hypervisor.Therefore, libvirt-cim has been updated to version 0.5.4.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:24:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50290 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-04 15:40:57 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201163]
a. Name of Feature:	update libvirt based CIM providers for virtualization
b. Feature Description
CIM providers for management of virtualization (Xen, KVM, containers, etc.) based on libvirt

This code was included in 5.3 we are requesting for 5.4 that Red Hat pick up the latest available
version of libvirt-cim (0.5.3 or later).

2. Feature Details:
Sponsor:	Xen
Architectures:
x86
x86_64

Arch Specificity: Both
Delivery Mechanism: Direct from community
Category:	Xen
Request Type:	Package - Update
d. Upstream Acceptance:	Accepted
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	libvirt-cim 0.5.3

3. Business Case
Provides support for IBM Systems Director 6.0

Benefits
Enables third party system management tools for Xen and KVM

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Mike Wortman, wortman@us.ibm.com, 512-838-8582

Technical contact(s):
Daniel Smith, dmsmith1@us.ibm.com

IBM Manager:
Warren Grunbok II, grunbok@us.ibm.com
Comment 1 John Jarvis 2008-12-23 15:35:55 EST
IBM is signed up to test and provide feedback.
Comment 2 IBM Bug Proxy 2009-02-18 17:30:46 EST
The latest version of libvirt-cim is now 0.5.4 - can this version be picked up instead of 0.5.3? Thanks!
Comment 7 Daniel Veillard 2009-03-11 14:54:56 EDT
libvirt-cim-0.5.4-1.el5 is now built in dist-5E-qu-candidate
hopefully that will be sufficient,

Daniel
Comment 11 Chris Ward 2009-06-14 19:17:08 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 16 Daniel Veillard 2009-06-26 12:47:54 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
The introduction of KVM virtualization in RHEL-5.4 requires a
large update of libvirt-cim to support the new hypervisor.The version of
libvirt-cim is updated to version 0.5.4 which includes support for KVM.
Comment 17 Ryan Lerch 2009-06-29 23:06:56 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,3 +1 @@
-The introduction of KVM virtualization in RHEL-5.4 requires a
+The introduction of KVM virtualization in Red Hat Enterprise Linux 5.4 requires an updated version of libvirt-cim to support the new hypervisor.Therefore, libvirt-cim has been updated to version 0.5.4.-large update of libvirt-cim to support the new hypervisor.The version of
-libvirt-cim is updated to version 0.5.4 which includes support for KVM.
Comment 18 IBM Bug Proxy 2009-07-09 16:41:38 EDT
------- Comment From karupert@us.ibm.com 2009-07-09 16:36 EDT-------
This feature has been included in RHEL 5.4.
Comment 19 errata-xmlrpc 2009-09-02 05:24:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1270.html

Note You need to log in before you can comment on or make changes to this bug.